#!/usr/bin/env ruby

zone = ARGV[0] || 1
zone=zone.to_s

raw = sprintf("raw%d",zone)
plt = sprintf("orderedloud%d.plt",zone)

cases=IO.readlines("../signatures.csv")

File.open(plt,'w') do |f|
  f.printf "VARIABLES=participant signal PL CSEL ASEL ZSEL LLZF LLZd PNL maxpsf minpsf\n"
  cases.each_with_index do |c,i| 
    c = c.split(%r{,\s*}).first.chomp
    line = `tail -1 #{raw}/#{c}`.chomp.gsub("  +Inf"," 999.9")
    f.printf "%2d %s\n", i+1, line
  end
end
