#!/usr/bin/env ruby

diff=IO.readlines("../validation/ordereddiff.plt")
prop212=IO.readlines("../loud/orderedloud1.plt")
prop420=IO.readlines("../loud/orderedloud2.plt")

sigs=IO.readlines("../signatures.csv")

n = diff.length-1
puts n

File.open('stats.plt','w') do |f|
  f.printf "VARIABLES=participant diff195 diff553 pl212 aw212 pl420 aw420 cv h h2 pldiff\n"
  n.times do |i0|
    participant=i0+1
    puts "#{diff[participant].split[0]} #{prop212[participant].split[0]} #{prop420[participant].split[0]}"
    diff195=diff[participant].split[1]
    diff553=diff[participant].split[2]
    pl212 = prop212[participant].split[2]
    aw212 = prop212[participant].split[4]
    pl420 = prop420[participant].split[2]
    aw420 = prop420[participant].split[4]
    cv = sigs[i0].split(',')[5].chomp
    h = cv.to_f**(-1.0/3.0)
    h2 = h**2
    pldiff = pl420.to_f-pl212.to_f
    f.printf("%2d %s %s %s %s %s %s %s %e %e %e\n",
             participant,diff195,diff553,pl212,aw212,pl420,aw420,
             cv,h,h2,pldiff)
  end
end

puts diff[0]
puts prop212[0]
puts prop420[0]


